var chartSubStatus_form = {
    settings: {
        chart_type_autocomplete_url: '',
        chart_status_autocomplete_url: ''
    },
    init: function() {
        this.initAutocomplete();
    },
    initAutocomplete: function() {
        global.autocomplete.bind(this.settings.chart_type_autocomplete_url, '#chartType_desc', '#chartType_id', {
            onSelect: function (e) {
                let params = {
                    chartTypeId: e.id
                };
                jQ('#chartSubStatus_chart_status_desc').devbridgeAutocomplete('setOptions', {params: params})
            }
        });

        global.autocomplete.bind(this.settings.chart_status_autocomplete_url, '#chartSubStatus_chart_status_desc', '#chartSubStatus_chart_status_desc_id');
    }
};